Subject: Re: wireless: recap of current issues (configuration)

From: Johannes Berg <[email-masked]>
Date: Sun, 15 Jan 2006 21:11:51 +0100

On Sun, 2006-01-15 at 12:08 -0800, Sam Leffler wrote:

> To do what you describe I would create a monitor mode device, switch 
> channel, then destroy it.  All the time you leave the station device 
> unchanged, though you probably need to disable it.  This may not be 
> possible with all devices--i.e. for those that require different 
> firmware to do monitoring you will be restricted to a single virtual 
> device and/or operating mode.

Yeah, I agree with this, it is much cleaner to handle in the kernel.
Think about the issues if you have a struct net_device that has 250
bytes of "payload" for the struct virtual_sta_device in it and you want
to switch that to a struct virtual_monitor_device. Icky.

johannes